> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable payment account

> Creates a payment account for the organisation. Returns the account identifier and initial status. Idempotent — returns existing account if one is already attached.



## OpenAPI

````yaml /api-reference/openapi.json post /organisations/{id}/payment-account/enable
openapi: 3.1.1
info:
  title: Dolfin API
  description: >-
    Dolfin API for AR & AP. Authenticate using the `x-dolfin-api-key` header
    with the API key distributed to your organisation.
  version: v1
servers:
  - url: https://api.dolfinai.co
    description: Production
security:
  - {}
tags:
  - name: Webhooks
  - name: Users
  - name: TaxRates
  - name: Suppliers
  - name: Supplier Credit Notes
  - name: Bills
  - name: SpendCategories
  - name: Payables
  - name: RecurringInvoices
  - name: Receivables
  - name: Purchase Orders
  - name: Products
  - name: Payments
  - name: Invoices
  - name: Organisations
  - name: Members
  - name: MCP
  - name: Matching
  - name: Invoice Reminders
  - name: Industries
  - name: Gmail
  - name: Delivery Notes
  - name: Customers
  - name: Currencies
  - name: Credit Notes
  - name: Clients
  - name: ClientInvites
  - name: BankPayments
  - name: Bank details
  - name: Auth
  - name: ApprovalPolicies
  - name: ApiKeys
  - name: Agent
paths:
  /organisations/{id}/payment-account/enable:
    post:
      tags:
        - Payments
      summary: Enable payment account
      description: >-
        Creates a payment account for the organisation. Returns the account
        identifier and initial status. Idempotent — returns existing account if
        one is already attached.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentAccountResponse'
        '403':
          description: >-
            Payment.Forbidden — caller does not have permission to configure
            payments for this organisation
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: >-
            Organisation.NotFound — the organisation does not exist or could not
            be resolved
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '502':
          description: >-
            PaymentAccount.ProviderError — Stripe returned an error while
            creating the account link
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    PaymentAccountResponse:
      type: object
      properties:
        organisationId:
          type: string
          format: uuid
        provider:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/PaymentProvider'
        accountId:
          type:
            - 'null'
            - string
        status:
          $ref: '#/components/schemas/PaymentAccountState'
        capabilities:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/PaymentAccountCapabilities'
        enabledAt:
          type:
            - 'null'
            - string
          format: date-time
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - 'null'
            - string
        title:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
    PaymentProvider:
      enum:
        - Stripe
        - Manual
        - Yapily
        - null
    PaymentAccountState:
      enum:
        - NotStarted
        - OnboardingInProgress
        - Active
        - Restricted
        - Rejected
        - Disconnected
    PaymentAccountCapabilities:
      type: object
      properties:
        chargesEnabled:
          type: boolean
        payoutsEnabled:
          type: boolean
        detailsSubmitted:
          type: boolean
        currentlyDue:
          type: array
          items:
            type: string
        pastDue:
          type: array
          items:
            type: string
        disabledReason:
          type:
            - 'null'
            - string

````